SparkFun RV-1805 RTC Arduino Library
========================================

![SparkFun Qwiic RTC Breakout](https://cdn.sparkfun.com//assets/parts/1/2/8/2/5/14642-Qwiic_RTC_-_RV-1805-05.jpg)

[*SparkFun Qwiic RTC (SPX-14642)*](https://www.sparkfun.com/products/14642)

The RV-1805 is an extremely precise, extremely low power, highly configurable RTC. Under ideal conditions it runs at approximately 22nA with +/-6ppm per year of deviation (+/- 192 seconds worst case per year).

This library allows the user to:

* Set time using hard numbers or the BUILD_TIME from the Arduino compiler
* Read time
* Configure various aspects of the RTC including setting of alarms, interrupts, and wave outputs

Examples are included to get you started

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfunx/Qwiic-RTC)** - Main repository (including hardware files) for the SparkFun Qwiic RTC Breakout.

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release any derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
